using Decimation.Content.Items.Misc;
using Decimation.Content.Tiles;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Boss.Arachnus
{
    internal class MoltenArachnidsAmulet : DecimationItem
    {
        protected override string ItemName => "Molten Arachnid's Amulet";
        protected override string ItemTooltip => "Infuriates the guardian of the planet's core.";

        protected override void Init()
        {
            item.width = 32;
            item.height = 32;
            item.value = Item.buyPrice(0, 45);
            item.rare = Rarity.Red.GetRarityValue();
            item.consumable = true;
            item.useStyle = 4;
            item.useAnimation = 30;
            item.useTime = 30;

            this.item.maxStack = 1;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, ModContent.TileType<TitanForge>());

            recipe.AddIngredient(ItemID.FragmentSolar, 3);
            recipe.AddIngredient(ModContent.ItemType<Thermoplasm>());

            return recipe;
        }
    }
}